## WebKitWebView WebKitWebView — The central class of the WebKitGTK+ API |

## Functions

gboolean | webkit_web_view_can_copy_clipboard ()
gboolean | webkit_web_view_can_cut_clipboard ()
gboolean | webkit_web_view_can_go_back ()
gboolean | webkit_web_view_can_go_back_or_forward ()
gboolean | webkit_web_view_can_go_forward ()
gboolean | webkit_web_view_can_paste_clipboard ()
gboolean | webkit_web_view_can_redo ()
gboolean | webkit_web_view_can_show_mime_type ()
gboolean | webkit_web_view_can_undo ()
void | webkit_web_view_copy_clipboard ()
void | webkit_web_view_cut_clipboard ()
void | webkit_web_view_delete_selection ()
void | webkit_web_view_execute_script ()
WebKitWebBackForwardList * | webkit_web_view_get_back_forward_list ()
GtkTargetList * | webkit_web_view_get_copy_target_list ()
const char * | webkit_web_view_get_custom_encoding ()
WebKitDOMDocument * | webkit_web_view_get_dom_document ()
gboolean | webkit_web_view_get_editable ()
const gchar * | webkit_web_view_get_encoding ()
WebKitWebFrame * | webkit_web_view_get_focused_frame ()
gboolean | webkit_web_view_get_full_content_zoom ()
WebKitHitTestResult * | webkit_web_view_get_hit_test_result ()
GdkPixbuf * | webkit_web_view_get_icon_pixbuf ()
const gchar * | webkit_web_view_get_icon_uri ()
WebKitWebInspector * | webkit_web_view_get_inspector ()
WebKitLoadStatus | webkit_web_view_get_load_status ()
WebKitWebFrame * | webkit_web_view_get_main_frame ()
GtkTargetList * | webkit_web_view_get_paste_target_list ()
gdouble | webkit_web_view_get_progress ()
WebKitWebSettings * | webkit_web_view_get_settings ()
const gchar * | webkit_web_view_get_title ()
gboolean | webkit_web_view_get_transparent ()
const gchar * | webkit_web_view_get_uri ()
WebKitWebViewViewMode | webkit_web_view_get_view_mode ()
gboolean | webkit_web_view_get_view_source_mode ()
WebKitViewportAttributes * | webkit_web_view_get_viewport_attributes ()
gfloat | webkit_web_view_get_zoom_level ()
void | webkit_web_view_go_back ()
void | webkit_web_view_go_back_or_forward ()
void | webkit_web_view_go_forward ()
gboolean | webkit_web_view_go_to_back_forward_item ()
gboolean | webkit_web_view_has_selection ()
void | webkit_web_view_load_html_string ()
void | webkit_web_view_load_request ()
void | webkit_web_view_load_string ()
void | webkit_web_view_load_uri ()
guint | webkit_web_view_mark_text_matches ()
void | webkit_web_view_move_cursor ()
GtkWidget * | webkit_web_view_new ()
void | webkit_web_view_open ()
void | webkit_web_view_paste_clipboard ()
void | webkit_web_view_redo ()
void | webkit_web_view_reload ()
void | webkit_web_view_reload_bypass_cache ()
gboolean | webkit_web_view_search_text ()
void | webkit_web_view_select_all ()
void | webkit_web_view_set_custom_encoding ()
void | webkit_web_view_set_editable ()
void | webkit_web_view_set_full_content_zoom ()
void | webkit_web_view_set_highlight_text_matches ()
void | webkit_web_view_set_maintains_back_forward_list ()
void | webkit_web_view_set_settings ()
void | webkit_web_view_set_transparent ()
void | webkit_web_view_set_view_mode ()
void | webkit_web_view_set_view_source_mode ()
void | webkit_web_view_set_zoom_level ()
void | webkit_web_view_stop_loading ()
GdkPixbuf * | webkit_web_view_try_get_favicon_pixbuf ()
void | webkit_web_view_undo ()
void | webkit_web_view_unmark_text_matches ()
void | webkit_web_view_zoom_in ()
void | webkit_web_view_zoom_out ()
WebKitWebWindowFeatures * | webkit_web_view_get_window_features ()
cairo_surface_t * | webkit_web_view_get_snapshot ()

## Properties

GtkTargetList * | copy-target-list | Read
gchar * | custom-encoding | Read / Write
gboolean | editable | Read / Write
gchar * | encoding | Read
gboolean | full-content-zoom | Read / Write
gchar * | icon-uri | Read
GtkIMContext * | im-context | Read
WebKitLoadStatus | load-status | Read
GtkTargetList * | paste-target-list | Read
gdouble | progress | Read
gboolean | self-scrolling | Read / Write / Construct Only
WebKitWebSettings * | settings | Read / Write
gchar * | title | Read
gboolean | transparent | Read / Write
gchar * | uri | Read
WebKitWebViewViewMode | view-mode | Read / Write
WebKitViewportAttributes * | viewport-attributes | Read
WebKitWebInspector * | web-inspector | Read
WebKitWebWindowFeatures * | window-features | Read / Write
gfloat | zoom-level | Read / Write

## Signals

gboolean | close-web-view | Run Last
gboolean | console-message | Run Last
gboolean | context-menu | Run Last
void | copy-clipboard | Action
GtkWidget* | create-plugin-widget | Action
WebKitWebView* | create-web-view | Run Last
void | cut-clipboard | Action
void | database-quota-exceeded | Action
void | document-load-finished | Action
gboolean | download-requested | Run Last
void | editing-began | Action
void | editing-ended | Action
gboolean | entering-fullscreen | Run Last
void | frame-created | Action
void | geolocation-policy-decision-cancelled | Run Last
gboolean | geolocation-policy-decision-requested | Run Last
void | hovering-over-link | Run Last
void | icon-loaded | Run Last
gboolean | leaving-fullscreen | Run Last
void | load-committed | Run Last
gboolean | load-error | Run Last
void | load-finished | Run Last
void | load-progress-changed | Run Last
void | load-started | Run Last
gboolean | mime-type-policy-decision-requested | Run Last
gboolean | move-cursor | Action
gboolean | navigation-policy-decision-requested | Run Last
WebKitNavigationResponse | navigation-requested | Run Last
gboolean | new-window-policy-decision-requested | Run Last
void | onload-event | Run Last
void | paste-clipboard | Action
void | populate-popup | Run Last
gboolean | print-requested | Run Last
void | redo | Action
void | resource-content-length-received | Run Last
void | resource-load-failed | Run Last
void | resource-load-finished | Run Last
void | resource-request-starting | Action
void | resource-response-received | Run Last
gboolean | run-file-chooser | Run Last
gboolean | script-alert | Run Last
gboolean | script-confirm | Run Last
gboolean | script-prompt | Run Last
void | select-all | Action
void | selection-changed | Action
gboolean | should-apply-style | Action
gboolean | should-begin-editing | Action
gboolean | should-change-selected-range | Action
gboolean | should-delete-range | Action
gboolean | should-end-editing | Action
gboolean | should-insert-node | Action
gboolean | should-insert-text | Action
gboolean | should-show-delete-interface-for-element | Action
void | status-bar-text-changed | Run Last
void | title-changed | Run Last
void | undo | Action
void | user-changed-contents | Action
void | viewport-attributes-changed | Action
void | viewport-attributes-recompute-requested | Action
gboolean | web-view-ready | Run Last
void | window-object-cleared | Run Last

## Types and Values

enum | WebKitNavigationResponse
enum | WebKitWebViewTargetInfo
enum | WebKitWebViewViewMode
| WebKitWebView

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── WebKitWebView

## Implemented Interfaces

WebKitWebView implements AtkImplementorIface, GtkBuildable and GtkScrollable.

## Description

WebKitWebView is the central class of the WebKitGTK+ API. It is a GtkWidget implementing the scrolling interface which means you can embed in a GtkScrolledWindow. It is responsible for managing the drawing of the content, forwarding of events. You can load any URI into the WebKitWebView or any kind of data string. With WebKitWebSettings you can control various aspects of the rendering and loading of the content. Each WebKitWebView has exactly one WebKitWebFrame as main frame. A WebKitWebFrame can have n children.

    /* Create the widgets */
    GtkWidget *main_window = gtk_window_new (GTK_WINDOW_TOPLEVEL);
    GtkWidget *scrolled_window = gtk_scrolled_window_new (NULL, NULL);
    GtkWidget *web_view = webkit_web_view_new ();

    /* Place the WebKitWebView in the GtkScrolledWindow */
    gtk_container_add (GTK_CONTAINER (scrolled_window), web_view);
    gtk_container_add (GTK_CONTAINER (main_window), scrolled_window);

    /* Open a webpage */
    webkit_web_view_load_uri (WEBKIT_WEB_VIEW (web_view), "http://www.gnome.org");

    /* Show the result */
    gtk_window_set_default_size (GTK_WINDOW (main_window), 800, 600);
    gtk_widget_show_all (main_window);

## Functions

### webkit_web_view_can_copy_clipboard ()

    gboolean
    webkit_web_view_can_copy_clipboard (WebKitWebView *web_view);

Determines whether or not it is currently possible to copy to the clipboard.

#### Parameters

web_view | a WebKitWebView |

#### Returns

`TRUE` if a selection can be copied, `FALSE` if not

### webkit_web_view_can_cut_clipboard ()

    gboolean
    webkit_web_view_can_cut_clipboard (WebKitWebView *web_view);

Determines whether or not it is currently possible to cut to the clipboard.

#### Parameters

web_view | a WebKitWebView |

#### Returns

`TRUE` if a selection can be cut, `FALSE` if not

### webkit_web_view_can_go_back ()

    gboolean
    webkit_web_view_can_go_back (WebKitWebView *web_view);

Determines whether web_view has a previous history item.

#### Parameters

web_view | a WebKitWebView |

#### Returns

`TRUE` if able to move back, `FALSE` otherwise

### webkit_web_view_can_go_back_or_forward ()

    gboolean
    webkit_web_view_can_go_back_or_forward
                                   (WebKitWebView *web_view,
                                    gint steps);

Determines whether web_view has a history item of `steps` . Negative values represent steps backward while positive values represent steps forward.

#### Parameters

web_view | a WebKitWebView |
steps | the number of steps |

#### Returns

`TRUE` if able to move back or forward the given number of steps, `FALSE` otherwise

### webkit_web_view_can_go_forward ()

    gboolean
    webkit_web_view_can_go_forward (WebKitWebView *web_view);

Determines whether web_view has a next history item.

#### Parameters

web_view | a WebKitWebView |

#### Returns

`TRUE` if able to move forward, `FALSE` otherwise

### webkit_web_view_can_paste_clipboard ()

    gboolean
    webkit_web_view_can_paste_clipboard (WebKitWebView *web_view);

Determines whether or not it is currently possible to paste from the clipboard.

#### Parameters

web_view | a WebKitWebView |

#### Returns

`TRUE` if a selection can be pasted, `FALSE` if not

### webkit_web_view_can_redo ()

    gboolean
    webkit_web_view_can_redo (WebKitWebView *web_view);

Determines whether or not it is currently possible to redo the last editing command in the view.

#### Parameters

web_view | a WebKitWebView |

#### Returns

`TRUE` if a redo can be done, `FALSE` if not

Since 1.1.14

### webkit_web_view_can_show_mime_type ()

    gboolean
    webkit_web_view_can_show_mime_type (WebKitWebView *web_view,
                                        const gchar *mime_type);

This functions returns whether or not a MIME type can be displayed using this view.

#### Parameters

web_view | a WebKitWebView |
mime_type | a MIME type |

#### Returns

a gboolean indicating if the MIME type can be displayed

Since 1.0.3

### webkit_web_view_can_undo ()

    gboolean
    webkit_web_view_can_undo (WebKitWebView *web_view);

Determines whether or not it is currently possible to undo the last editing command in the view.

#### Parameters

web_view | a WebKitWebView |

#### Returns

`TRUE` if a undo can be done, `FALSE` if not

Since 1.1.14

### webkit_web_view_copy_clipboard ()

    void
    webkit_web_view_copy_clipboard (WebKitWebView *web_view);

Copies the current selection inside the `web_view` to the clipboard.

#### Parameters

web_view | a WebKitWebView |

### webkit_web_view_cut_clipboard ()

    void
    webkit_web_view_cut_clipboard (WebKitWebView *web_view);

Cuts the current selection inside the `web_view` to the clipboard.

#### Parameters

web_view | a WebKitWebView |

### webkit_web_view_delete_selection ()

    void
    webkit_web_view_delete_selection (WebKitWebView *web_view);

Deletes the current selection inside the `web_view` .

#### Parameters

web_view | a WebKitWebView |

### webkit_web_view_execute_script ()

    void
    webkit_web_view_execute_script (WebKitWebView *web_view,
                                    const gchar *script);

### webkit_web_view_get_back_forward_list ()

    WebKitWebBackForwardList *
    webkit_web_view_get_back_forward_list (WebKitWebView *web_view);

Obtains the WebKitWebBackForwardList associated with the given WebKitWebView. The WebKitWebBackForwardList is owned by the WebKitWebView.

#### Parameters

web_view | a WebKitWebView |

#### Returns

the WebKitWebBackForwardList.

[transfer none]

### webkit_web_view_get_copy_target_list ()

    GtkTargetList *
    webkit_web_view_get_copy_target_list (WebKitWebView *web_view);

This function returns the list of targets this WebKitWebView can provide for clipboard copying and as DND source. The targets in the list are added with values from the WebKitWebViewTargetInfo enum, using `gtk_target_list_add()` and `gtk_target_list_add_text_targets()`.

#### Parameters

web_view | a WebKitWebView |

#### Returns

the GtkTargetList

### webkit_web_view_get_custom_encoding ()

    const char *
    webkit_web_view_get_custom_encoding (WebKitWebView *web_view);

Returns the current encoding of the WebKitWebView, not the default-encoding of WebKitWebSettings.

#### Parameters

web_view | a WebKitWebView |

#### Returns

a string containing the current custom encoding for `web_view` , or `NULL` if there's none set.

Since 1.1.1

### webkit_web_view_get_dom_document ()

    WebKitDOMDocument *
    webkit_web_view_get_dom_document (WebKitWebView *web_view);

#### Parameters

web_view | a WebKitWebView |

#### Returns

the WebKitDOMDocument currently loaded in the main frame of the `web_view` or `NULL` if no document is loaded.

[transfer none]

Since 1.3.1

### webkit_web_view_get_editable ()

    gboolean
    webkit_web_view_get_editable (WebKitWebView *web_view);

Returns whether the user is allowed to edit the document.

Returns `TRUE` if `web_view` allows the user to edit the HTML document, `FALSE` if it doesn't. You can change `web_view` 's document programmatically regardless of this setting.

#### Parameters

web_view | a WebKitWebView |

#### Returns

a gboolean indicating the editable state

### webkit_web_view_get_encoding ()

    const gchar *
    webkit_web_view_get_encoding (WebKitWebView *web_view);

Returns the default encoding of the WebKitWebView.

#### Parameters

web_view | a WebKitWebView |

#### Returns

the default encoding

Since 1.1.1

### webkit_web_view_get_focused_frame ()

    WebKitWebFrame *
    webkit_web_view_get_focused_frame (WebKitWebView *web_view);

Returns the frame that has focus or an active text selection.

#### Parameters

web_view | a WebKitWebView |

#### Returns

The focused WebKitWebFrame or `NULL` if no frame is focused.

[transfer none]

### webkit_web_view_get_full_content_zoom ()

    gboolean
    webkit_web_view_get_full_content_zoom (WebKitWebView *web_view);

Returns whether the zoom level affects only text or all elements.

#### Parameters

web_view | a WebKitWebView |

#### Returns

`FALSE` if only text should be scaled (the default), `TRUE` if the full content of the view should be scaled.

Since 1.0.1

### webkit_web_view_get_hit_test_result ()

    WebKitHitTestResult *
    webkit_web_view_get_hit_test_result (WebKitWebView *web_view,
                                         GdkEventButton *event);

Does a 'hit test' in the coordinates specified by `event` to figure out context information about that position in the `web_view` .

#### Parameters

web_view | a WebKitWebView |
event | a GdkEventButton |

#### Returns

a newly created WebKitHitTestResult with the context of the specified position.

[transfer full]

Since 1.1.15

### webkit_web_view_get_icon_pixbuf ()

    GdkPixbuf *
    webkit_web_view_get_icon_pixbuf (WebKitWebView *web_view);

`webkit_web_view_get_icon_pixbuf` has been deprecated since version 1.8 and should not be used in newly-written code.

Use `webkit_web_view_try_get_favicon_pixbuf()` instead.

Obtains a GdkPixbuf of the favicon for the given WebKitWebView, or a default icon if there is no icon for the given page. Use `webkit_web_view_get_icon_uri()` if you need to distinguish these cases. Usually you want to connect to WebKitWebView::icon-loaded and call this method in the callback.

The pixbuf will have the largest size provided by the server and should be resized before it is displayed. See also `webkit_icon_database_get_icon_pixbuf()`.

#### Parameters

web_view | the WebKitWebView object |

#### Returns

a new reference to a GdkPixbuf, or `NULL`.

[transfer full]

Since 1.3.13

### webkit_web_view_get_icon_uri ()

    const gchar *
    webkit_web_view_get_icon_uri (WebKitWebView *web_view);

Obtains the URI for the favicon for the given WebKitWebView, or `NULL` if there is none.

#### Parameters

web_view | the WebKitWebView object |

#### Returns

the URI for the favicon, or `NULL`

Since 1.1.18

### webkit_web_view_get_inspector ()

    WebKitWebInspector *
    webkit_web_view_get_inspector (WebKitWebView *web_view);

Obtains the WebKitWebInspector associated with the WebKitWebView. Every WebKitWebView object has a WebKitWebInspector object attached to it as soon as it is created, so this function will only return NULL if the argument is not a valid WebKitWebView.

#### Parameters

web_view | a WebKitWebView |

#### Returns

the WebKitWebInspector instance.

[transfer none]

Since 1.0.3

### webkit_web_view_get_load_status ()

    WebKitLoadStatus
    webkit_web_view_get_load_status (WebKitWebView *web_view);

Determines the current status of the load.

#### Parameters

web_view | a WebKitWebView |

#### Returns

a WebKitLoadStatus specifying the status of the current load

Since 1.1.7

### webkit_web_view_get_main_frame ()

    WebKitWebFrame *
    webkit_web_view_get_main_frame (WebKitWebView *web_view);

Returns the main frame for the `web_view` .

#### Parameters

web_view | a WebKitWebView |

#### Returns

the main WebKitWebFrame for `web_view` .

[transfer none]

### webkit_web_view_get_paste_target_list ()

    GtkTargetList *
    webkit_web_view_get_paste_target_list (WebKitWebView *web_view);

This function returns the list of targets this WebKitWebView can provide for clipboard pasting and as DND destination. The targets in the list are added with values from the WebKitWebViewTargetInfo enum, using `gtk_target_list_add()` and `gtk_target_list_add_text_targets()`.

#### Parameters

web_view | a WebKitWebView |

#### Returns

the GtkTargetList

### webkit_web_view_get_progress ()

    gdouble
    webkit_web_view_get_progress (WebKitWebView *web_view);

Determines the current progress of the load.

#### Parameters

web_view | a WebKitWebView |

#### Returns

a gdouble representing the status of the current load. This value will be in the range [0, 1].

Since 1.1.7

### webkit_web_view_get_settings ()

    WebKitWebSettings *
    webkit_web_view_get_settings (WebKitWebView *web_view);

Obtains the WebKitWebSettings associated with the WebKitWebView. The WebKitWebView always has an associated instance of WebKitWebSettings. The reference that is returned by this call is owned by the WebKitWebView. You may need to increase its reference count if you intend to keep it alive for longer than the WebKitWebView.

#### Parameters

web_view | a WebKitWebView |

#### Returns

the WebKitWebSettings instance.

[transfer none]

### webkit_web_view_get_title ()

    const gchar *
    webkit_web_view_get_title (WebKitWebView *web_view);

Returns the `web_view` 's document title

#### Parameters

web_view | a WebKitWebView |

#### Returns

the title of `web_view`

Since 1.1.4

### webkit_web_view_get_transparent ()

    gboolean
    webkit_web_view_get_transparent (WebKitWebView *web_view);

Returns whether the WebKitWebView has a transparent background.

#### Parameters

web_view | a WebKitWebView |

#### Returns

`FALSE` when the WebKitWebView draws a solid background (the default), otherwise `TRUE`.

### webkit_web_view_get_uri ()

    const gchar *
    webkit_web_view_get_uri (WebKitWebView *web_view);

Returns the current URI of the contents displayed by the `web_view`

#### Parameters

web_view | a WebKitWebView |

#### Returns

the URI of `web_view`

Since 1.1.4

### webkit_web_view_get_view_mode ()

    WebKitWebViewViewMode
    webkit_web_view_get_view_mode (WebKitWebView *web_view);

Gets the value of the view-mode property of the WebKitWebView. Check the property's documentation for more information.

#### Parameters

web_view | the WebKitWebView to obtain the view mode from |

#### Returns

the `WebKitWebViewViewMode` currently set for the WebKitWebView.

Since 1.3.4

### webkit_web_view_get_view_source_mode ()

    gboolean
    webkit_web_view_get_view_source_mode (WebKitWebView *web_view);

#### Parameters

web_view | a WebKitWebView |

#### Returns

`TRUE` if `web_view` is in view source mode, `FALSE` otherwise.

Since 1.1.14

### webkit_web_view_get_viewport_attributes ()

    WebKitViewportAttributes *
    webkit_web_view_get_viewport_attributes
                                   (WebKitWebView *web_view);

Obtains the WebKitViewportAttributes associated with the WebKitWebView. Every WebKitWebView object has a WebKitViewportAttributes object attached to it as soon as it is created, so this function will only return NULL if the argument is not a valid WebKitWebView. Do note however that the viewport attributes object only contains valid information when the current page has a viewport meta tag. You can check whether the data should be used by checking the “valid” property.

#### Parameters

web_view | a WebKitWebView |

#### Returns

the WebKitViewportAttributes instance.

[transfer none]

Since 1.3.8

### webkit_web_view_get_zoom_level ()

    gfloat
    webkit_web_view_get_zoom_level (WebKitWebView *web_view);

Returns the zoom level of `web_view` , i.e. the factor by which elements in the page are scaled with respect to their original size. If the "full-content-zoom" property is set to `FALSE` (the default) the zoom level changes the text size, or if `TRUE`, scales all elements in the page.

#### Parameters

web_view | a WebKitWebView |

#### Returns

the zoom level of `web_view`

Since 1.0.1

### webkit_web_view_go_back ()

    void
    webkit_web_view_go_back (WebKitWebView *web_view);

Loads the previous history item.

#### Parameters

web_view | a WebKitWebView |

### webkit_web_view_go_back_or_forward ()

    void
    webkit_web_view_go_back_or_forward (WebKitWebView *web_view,
                                        gint steps);

Loads the history item that is the number of `steps` away from the current item. Negative values represent steps backward while positive values represent steps forward.

#### Parameters

web_view | a WebKitWebView |
steps | the number of steps |

### webkit_web_view_go_forward ()

    void
    webkit_web_view_go_forward (WebKitWebView *web_view);

Loads the next history item.

#### Parameters

web_view | a WebKitWebView |

### webkit_web_view_go_to_back_forward_item ()

    gboolean
    webkit_web_view_go_to_back_forward_item
                                   (WebKitWebView *web_view,
                                    WebKitWebHistoryItem *item);

Go to the specified WebKitWebHistoryItem

#### Parameters

web_view | a WebKitWebView |
item | a WebKitWebHistoryItem* |

#### Returns

`TRUE` if loading of item is successful, `FALSE` if not

### webkit_web_view_has_selection ()

    gboolean
    webkit_web_view_has_selection (WebKitWebView *web_view);

Determines whether text was selected.

#### Parameters

web_view | a WebKitWebView |

#### Returns

`TRUE` if there is selected text, `FALSE` if not

### webkit_web_view_load_html_string ()

    void
    webkit_web_view_load_html_string (WebKitWebView *web_view,
                                      const gchar *content,
                                      const gchar *base_uri);

`webkit_web_view_load_html_string` has been deprecated since version 1.1.1 and should not be used in newly-written code.

Use `webkit_web_view_load_string()` instead.

Requests loading of the given `content` with the specified `base_uri` .

#### Parameters

web_view | a WebKitWebView |
content | an URI string |
base_uri | the base URI for relative locations |

### webkit_web_view_load_request ()

    void
    webkit_web_view_load_request (WebKitWebView *web_view,
                                  WebKitNetworkRequest *request);

Requests loading of the specified asynchronous client request.

Creates a provisional data source that will transition to a committed data source once any data has been received. Use `webkit_web_view_stop_loading()` to stop the load.

#### Parameters

web_view | a WebKitWebView |
request | a WebKitNetworkRequest |

Since 1.1.1

### webkit_web_view_load_string ()

    void
    webkit_web_view_load_string (WebKitWebView *web_view,
                                 const gchar *content,
                                 const gchar *mime_type,
                                 const gchar *encoding,
                                 const gchar *base_uri);

Requests loading of the given `content` with the specified `mime_type` , `encoding` and `base_uri` .

If `mime_type` is `NULL`, "text/html" is assumed.

If `encoding` is `NULL`, "UTF-8" is assumed.

#### Parameters

web_view | a WebKitWebView |
content | an URI string |
mime_type | the MIME type, or `NULL` |
encoding | the encoding, or `NULL` |
base_uri | the base URI for relative locations |

### webkit_web_view_load_uri ()

    void
    webkit_web_view_load_uri (WebKitWebView *web_view,
                              const gchar *uri);

Requests loading of the specified URI string.

#### Parameters

web_view | a WebKitWebView |
uri | an URI string |

Since 1.1.1

### webkit_web_view_mark_text_matches ()

    guint
    webkit_web_view_mark_text_matches (WebKitWebView *web_view,
                                       const gchar *string,
                                       gboolean case_sensitive,
                                       guint limit);

Attempts to highlight all occurances of string inside web_view.

#### Parameters

web_view | a WebKitWebView |
string | a string to look for |
case_sensitive | whether to respect the case of text |
limit | the maximum number of strings to look for or 0 for all |

#### Returns

the number of strings highlighted

### webkit_web_view_move_cursor ()

    void
    webkit_web_view_move_cursor (WebKitWebView *web_view,
                                 GtkMovementStep step,
                                 gint count);

Move the cursor in `view` as described by `step` and `count` .

#### Parameters

web_view | a WebKitWebView |
step | a GtkMovementStep |
count | integer describing the direction of the movement. 1 for forward, -1 for backwards. |

Since 1.1.4

### webkit_web_view_new ()

    GtkWidget *
    webkit_web_view_new (void);

#### Returns

### webkit_web_view_open ()

    void
    webkit_web_view_open (WebKitWebView *web_view,
                          const gchar *uri);

`webkit_web_view_open` has been deprecated since version 1.1.1 and should not be used in newly-written code.

Use `webkit_web_view_load_uri()` instead.

Requests loading of the specified URI string.

#### Parameters

web_view | a WebKitWebView |
uri | an URI |

### webkit_web_view_paste_clipboard ()

    void
    webkit_web_view_paste_clipboard (WebKitWebView *web_view);

Pastes the current contents of the clipboard to the `web_view` .

#### Parameters

web_view | a WebKitWebView |

### webkit_web_view_redo ()

    void
    webkit_web_view_redo (WebKitWebView *web_view);

Redoes the last editing command in the view, if possible.

#### Parameters

web_view | a WebKitWebView |

Since 1.1.14

### webkit_web_view_reload ()

    void
    webkit_web_view_reload (WebKitWebView *web_view);

### webkit_web_view_reload_bypass_cache ()

    void
    webkit_web_view_reload_bypass_cache (WebKitWebView *web_view);

Reloads the `web_view` without using any cached data.

#### Parameters

web_view | a WebKitWebView |

Since 1.0.3

### webkit_web_view_search_text ()

    gboolean
    webkit_web_view_search_text (WebKitWebView *web_view,
                                 const gchar *text,
                                 gboolean case_sensitive,
                                 gboolean forward,
                                 gboolean wrap);

Looks for a specified string inside web_view.

#### Parameters

web_view | a WebKitWebView |
text | a string to look for |
case_sensitive | whether to respect the case of text |
forward | whether to find forward or not |
wrap | whether to continue looking at the beginning after reaching the end |

#### Returns

`TRUE` on success or `FALSE` on failure

### webkit_web_view_select_all ()

    void
    webkit_web_view_select_all (WebKitWebView *web_view);

Attempts to select everything inside the `web_view` .

#### Parameters

web_view | a WebKitWebView |

### webkit_web_view_set_custom_encoding ()

    void
    webkit_web_view_set_custom_encoding (WebKitWebView *web_view,
                                         const gchar *encoding);

Sets the current WebKitWebView encoding, without modifying the default one, and reloads the page.

#### Parameters

web_view | a WebKitWebView |
encoding | the new encoding, or `NULL` to restore the default encoding |

Since 1.1.1

### webkit_web_view_set_editable ()

    void
    webkit_web_view_set_editable (WebKitWebView *web_view,
                                  gboolean flag);

Sets whether `web_view` allows the user to edit its HTML document.

If `flag` is `TRUE`, `web_view` allows the user to edit the document. If `flag` is `FALSE`, an element in `web_view` 's document can only be edited if the CONTENTEDITABLE attribute has been set on the element or one of its parent elements. You can change `web_view` 's document programmatically regardless of this setting. By default a WebKitWebView is not editable.

Normally, an HTML document is not editable unless the elements within the document are editable. This function provides a low-level way to make the contents of a WebKitWebView editable without altering the document or DOM structure.

#### Parameters

web_view | a WebKitWebView |
flag | a gboolean indicating the editable state |

### webkit_web_view_set_full_content_zoom ()

    void
    webkit_web_view_set_full_content_zoom (WebKitWebView *web_view,
                                           gboolean full_content_zoom);

Sets whether the zoom level affects only text or all elements.

#### Parameters

web_view | a WebKitWebView |
full_content_zoom | `FALSE` if only text should be scaled (the default), `TRUE` if the full content of the view should be scaled. |

Since 1.0.1

### webkit_web_view_set_highlight_text_matches ()

    void
    webkit_web_view_set_highlight_text_matches
                                   (WebKitWebView *web_view,
                                    gboolean highlight);

Highlights text matches previously marked by webkit_web_view_mark_text_matches.

#### Parameters

web_view | a WebKitWebView |
highlight | whether to highlight text matches |

### webkit_web_view_set_maintains_back_forward_list ()

    void
    webkit_web_view_set_maintains_back_forward_list
                                   (WebKitWebView *web_view,
                                    gboolean flag);

Set the view to maintain a back or forward list of history items.

#### Parameters

web_view | a WebKitWebView |
flag | to tell the view to maintain a back or forward list |

### webkit_web_view_set_settings ()

    void
    webkit_web_view_set_settings (WebKitWebView *web_view,
                                  WebKitWebSettings *settings);

Replaces the WebKitWebSettings instance that is currently attached to `web_view` with `settings` . The reference held by the `web_view` on the old WebKitWebSettings instance is dropped, and the reference count of `settings` is inscreased.

The settings are automatically applied to `web_view` .

#### Parameters

web_view | a WebKitWebView |
settings | the WebKitWebSettings to be set. | [transfer none]

### webkit_web_view_set_transparent ()

    void
    webkit_web_view_set_transparent (WebKitWebView *web_view,
                                     gboolean flag);

Sets whether the WebKitWebView has a transparent background.

Pass `FALSE` to have the WebKitWebView draw a solid background (the default), otherwise `TRUE`.

#### Parameters

web_view | a WebKitWebView |
flag | whether or not `web_view` should be transparent |

### webkit_web_view_set_view_mode ()

    void
    webkit_web_view_set_view_mode (WebKitWebView *web_view,
                                   WebKitWebViewViewMode mode);

Sets the view-mode property of the WebKitWebView. Check the property's documentation for more information.

#### Parameters

web_view | the WebKitWebView that will have its view mode set |
mode | the `WebKitWebViewViewMode` to be set |

Since 1.3.4

### webkit_web_view_set_view_source_mode ()

    void
    webkit_web_view_set_view_source_mode (WebKitWebView *web_view,
                                          gboolean view_source_mode);

Set whether the view should be in view source mode. Setting this mode to `TRUE` before loading a URI will display the source of the web page in a nice and readable format.

#### Parameters

web_view | a WebKitWebView |
view_source_mode | the mode to turn on or off view source mode |

Since 1.1.14

### webkit_web_view_set_zoom_level ()

    void
    webkit_web_view_set_zoom_level (WebKitWebView *web_view,
                                    gfloat zoom_level);

Sets the zoom level of `web_view` , i.e. the factor by which elements in the page are scaled with respect to their original size. If the "full-content-zoom" property is set to `FALSE` (the default) the zoom level changes the text size, or if `TRUE`, scales all elements in the page.

#### Parameters

web_view | a WebKitWebView |
zoom_level | the new zoom level |

Since 1.0.1

### webkit_web_view_stop_loading ()

    void
    webkit_web_view_stop_loading (WebKitWebView *web_view);

Stops any ongoing load in the `web_view` .

#### Parameters

web_view | a WebKitWebView |

### webkit_web_view_try_get_favicon_pixbuf ()

    GdkPixbuf *
    webkit_web_view_try_get_favicon_pixbuf
                                   (WebKitWebView *web_view,
                                    guint width,
                                    guint height);

Obtains a GdkPixbuf of the favicon for the given WebKitWebView. This will return `NULL` is there is no icon for the current WebKitWebView or if the icon is in the database but not available at the moment of this call. Use `webkit_web_view_get_icon_uri()` if you need to distinguish these cases. Usually you want to connect to WebKitWebView::icon-loaded and call this method in the callback.

See also `webkit_favicon_database_try_get_favicon_pixbuf()`. Contrary to this function the icon database one returns the URL of the page containing the icon.

#### Parameters

web_view | the WebKitWebView object |
width | the desired width for the icon |
height | the desired height for the icon |

#### Returns

a new reference to a GdkPixbuf, or `NULL`.

[transfer full]

Since 1.8

### webkit_web_view_undo ()

    void
    webkit_web_view_undo (WebKitWebView *web_view);

Undoes the last editing command in the view, if possible.

#### Parameters

web_view | a WebKitWebView |

Since 1.1.14

### webkit_web_view_unmark_text_matches ()

    void
    webkit_web_view_unmark_text_matches (WebKitWebView *web_view);

Removes highlighting previously set by webkit_web_view_mark_text_matches.

#### Parameters

web_view | a WebKitWebView |

### webkit_web_view_zoom_in ()

    void
    webkit_web_view_zoom_in (WebKitWebView *web_view);

Increases the zoom level of `web_view` . The current zoom level is incremented by the value of the "zoom-step" property of the WebKitWebSettings associated with `web_view` .

#### Parameters

web_view | a WebKitWebView |

Since 1.0.1

### webkit_web_view_zoom_out ()

    void
    webkit_web_view_zoom_out (WebKitWebView *web_view);

Decreases the zoom level of `web_view` . The current zoom level is decremented by the value of the "zoom-step" property of the WebKitWebSettings associated with `web_view` .

#### Parameters

web_view | a WebKitWebView |

Since 1.0.1

### webkit_web_view_get_window_features ()

    WebKitWebWindowFeatures *
    webkit_web_view_get_window_features (WebKitWebView *web_view);

#### Parameters

web_view | a WebKitWebView |

#### Returns

the instance of WebKitWebWindowFeatures held by the given WebKitWebView.

[transfer none]

Since 1.0.3

### webkit_web_view_get_snapshot ()

    cairo_surface_t *
    webkit_web_view_get_snapshot (WebKitWebView *web_view);

Retrieves a snapshot with the visible contents of `webview` .

#### Parameters

web_view | a WebKitWebView |

#### Returns

a `cairo_surface_t` .

[transfer full]

Since 1.10

## Types and Values

### enum WebKitNavigationResponse

Enum values used to denote the various responses to a navigation policy decision.

#### Members

WEBKIT_NAVIGATION_RESPONSE_ACCEPT | Instruct WebKit to allow the navigation. |
WEBKIT_NAVIGATION_RESPONSE_IGNORE | Instruct WebKit to ignore the navigation. |
WEBKIT_NAVIGATION_RESPONSE_DOWNLOAD | Instruct WebKit to start a download of the destination instead. |

### enum WebKitWebViewTargetInfo

Enum values used to denote the info value of various selection types. These can be used to interpret the data WebKitGTK+ publishes via GtkClipboard and drag-and-drop.

#### Members

WEBKIT_WEB_VIEW_TARGET_INFO_HTML | Rich markup data |
WEBKIT_WEB_VIEW_TARGET_INFO_TEXT | Text data |
WEBKIT_WEB_VIEW_TARGET_INFO_IMAGE | Image data |
WEBKIT_WEB_VIEW_TARGET_INFO_URI_LIST | URI list data |
WEBKIT_WEB_VIEW_TARGET_INFO_NETSCAPE_URL | A single URL in the Netscape protocol |

### enum WebKitWebViewViewMode

Enum values used to denote the various types of view modes. See the “view-mode” property.

#### Members

WEBKIT_WEB_VIEW_VIEW_MODE_WINDOWED | Windowed view mode |
WEBKIT_WEB_VIEW_VIEW_MODE_FLOATING | Floating view mode |
WEBKIT_WEB_VIEW_VIEW_MODE_FULLSCREEN | Fullscreen view mode |
WEBKIT_WEB_VIEW_VIEW_MODE_MAXIMIZED | Maximized view mode |
WEBKIT_WEB_VIEW_VIEW_MODE_MINIMIZED | Minimized view mode |

### WebKitWebView

    typedef struct _WebKitWebView WebKitWebView;

## Property Details

### The `“copy-target-list”` property

      “copy-target-list”         GtkTargetList *

The list of targets this web view supports for clipboard copying.

Flags: Read

Since 1.0.2

### The `“custom-encoding”` property

      “custom-encoding”          gchar *

The custom encoding of the web view.

Flags: Read / Write

Default value: NULL

Since 1.1.2

### The `“editable”` property

      “editable”                 gboolean

Whether content can be modified by the user.

Flags: Read / Write

Default value: FALSE

### The `“encoding”` property

      “encoding”                 gchar *

The default encoding of the web view.

Flags: Read

Default value: NULL

Since 1.1.2

### The `“full-content-zoom”` property

      “full-content-zoom”        gboolean

Whether the full content is scaled when zooming.

Flags: Read / Write

Default value: FALSE

Since 1.0.1

### The `“icon-uri”` property

      “icon-uri”                 gchar *

The URI for the favicon for the WebKitWebView.

Flags: Read

Default value: NULL

Since 1.1.18

### The `“im-context”` property

      “im-context”               GtkIMContext *

The GtkIMMulticontext for the WebKitWebView.

This is the input method context used for all text entry widgets inside the WebKitWebView. It can be used to generate context menu items for controlling the active input method.

Flags: Read

Since 1.1.20

### The `“load-status”` property

      “load-status”              WebKitLoadStatus

Determines the current status of the load.

Connect to "notify::load-status" to monitor loading.

Some versions of WebKitGTK+ emitted this signal for the default error page, while loading it. This behavior was considered bad, because it was essentially exposing an implementation detail. From 1.1.19 onwards this signal is no longer emitted for the default error pages, but keep in mind that if you override the error pages by using `webkit_web_frame_load_alternate_string()` the signals will be emitted.

Flags: Read

Default value: WEBKIT_LOAD_FINISHED

Since 1.1.7

### The `“paste-target-list”` property

      “paste-target-list”        GtkTargetList *

The list of targets this web view supports for clipboard pasting.

Flags: Read

Since 1.0.2

### The `“progress”` property

      “progress”                 gdouble

Determines the current progress of the load.

Flags: Read

Allowed values: [0,1]

Default value: 1

Since 1.1.7

### The `“self-scrolling”` property

      “self-scrolling”           gboolean

Whether or not this WebView draws its own scrollbars.

Flags: Read / Write / Construct Only

Default value: FALSE

### The `“settings”` property

      “settings”                 WebKitWebSettings *

An associated WebKitWebSettings instance.

Flags: Read / Write

### The `“title”` property

      “title”                    gchar *

Returns the @web_view's document title.

Flags: Read

Default value: NULL

Since 1.1.4

### The `“transparent”` property

      “transparent”              gboolean

Whether content has a transparent background.

Flags: Read / Write

Default value: FALSE

### The `“uri”` property

      “uri”                      gchar *

Returns the current URI of the contents displayed by the @web_view.

Flags: Read

Default value: NULL

Since 1.1.4

### The `“view-mode”` property

      “view-mode”                WebKitWebViewViewMode

The "view-mode" media feature for the WebKitWebView.

The "view-mode" media feature is additional information for web applications about how the application is running, when it comes to user experience. Whether the application is running inside a regular browser window, in a dedicated window, fullscreen, for instance.

This property stores a `WebKitWebViewViewMode` value that matches the "view-mode" media feature the web application will see.

See http://www.w3.org/TR/view-mode/ for more information.

Flags: Read / Write

Default value: WEBKIT_WEB_VIEW_VIEW_MODE_WINDOWED

Since 1.3.4

### The `“viewport-attributes”` property

      “viewport-attributes”      WebKitViewportAttributes *

The associated WebKitViewportAttributes instance.

Flags: Read

Since 1.3.8

### The `“web-inspector”` property

      “web-inspector”            WebKitWebInspector *

The associated WebKitWebInspector instance.

Flags: Read

Since 1.0.3

### The `“window-features”` property

      “window-features”          WebKitWebWindowFeatures *

An associated WebKitWebWindowFeatures instance.

Flags: Read / Write

Since 1.0.3

### The `“zoom-level”` property

      “zoom-level”               gfloat

The level of zoom of the content.

Flags: Read / Write

Allowed values: >= G_MINFLOAT

Default value: 1

Since 1.0.1

## Signal Details

### The `“close-web-view”` signal

    gboolean
    user_function (WebKitWebView *web_view,
                   gpointer       user_data)

Emitted when closing a WebKitWebView is requested. This occurs when a call is made from JavaScript's window.close function. The default signal handler does not do anything. It is the owner's responsibility to hide or delete the web view, if necessary.

#### Parameters

web_view | the object on which the signal is emitted |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` to stop handlers from being invoked for the event or `FALSE` to propagate the event furter

Flags: Run Last

Since 1.1.11

### The `“console-message”` signal

    gboolean
    user_function (WebKitWebView *web_view,
                   gchar         *message,
                   gint           line,
                   gchar         *source_id,
                   gpointer       user_data)

A JavaScript console message was created.

#### Parameters

web_view | the object on which the signal is emitted |
message | the message text |
line | the line where the error occured |
source_id | the source id |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` to stop other handlers from being invoked for the event. `FALSE` to propagate the event further.

Flags: Run Last

### The `“context-menu”` signal

    gboolean
    user_function (WebKitWebView       *web_view,
                   GtkWidget           *default_menu,
                   WebKitHitTestResult *hit_test_result,
                   gboolean             triggered_with_keyboard,
                   gpointer             user_data)

Emmited when a context menu is about to be displayed to give the application a chance to create and handle its own context menu. If you only want to add custom options to the default context menu you can simply modify the given `default_menu` .

When `triggered_with_keyboard` is `TRUE` the coordinates of the given `hit_test_result` should be used to position the popup menu. When the context menu has been triggered by a mouse event you could either use the `hit_test_result` coordinates or pass `NULL` to the GtkMenuPositionFunc parameter of `gtk_menu_popup()` function. Note that coordinates of `hit_test_result` are relative to `web_view` window.

If your application will create and display its own popup menu, `TRUE` should be returned. Note that when the context menu is handled by the application, the “enable-default-context-menu” setting will be ignored and the “populate-popup” signal won't be emitted. If you don't want any context menu to be shown, you can simply connect to this signal and return `TRUE` without doing anything else.

#### Parameters

web_view | the object which received the signal |
default_menu | the default context menu |
hit_test_result | a WebKitHitTestResult with the context of the current position. |
triggered_with_keyboard | `TRUE` if the context menu was triggered using the keyboard |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since 1.10

### The `“copy-clipboard”` signal

    void
    user_function (WebKitWebView *web_view,
                   gpointer       user_data)

The “copy-clipboard” signal is a keybinding signal which gets emitted to copy the selection to the clipboard.

The default bindings for this signal are Ctrl-c and Ctrl-Insert.

#### Parameters

web_view | the object which received the signal |
user_data | user data set when the signal handler was connected. |

Flags: Action

### The `“create-plugin-widget”` signal

    GtkWidget*
    user_function (WebKitWebView *web_view,
                   gchar         *mime_type,
                   gchar         *uri,
                   GHashTable    *param,
                   gpointer       user_data)

The “create-plugin-widget” signal will be emitted to create a plugin widget for embed or object HTML tags. This allows to embed a GtkWidget as a plugin into HTML content. In case of a textual selection of the GtkWidget WebCore will attempt to set the property value of "webkit-widget-is-selected". This can be used to draw a visual indicator of the selection.

#### Parameters

web_view | the object which received the signal |
mime_type | the mimetype of the requested object |
uri | the URI to load |
param | a GHashTable with additional attributes (strings) |
user_data | user data set when the signal handler was connected. |

#### Returns

a new GtkWidget, or `NULL`.

[transfer full]

Flags: Action

Since 1.1.8

### The `“create-web-view”` signal

    WebKitWebView*
    user_function (WebKitWebView  *web_view,
                   WebKitWebFrame *frame,
                   gpointer        user_data)

Emitted when the creation of a new window is requested. If this signal is handled the signal handler should return the newly created WebKitWebView.

The new WebKitWebView should not be displayed to the user until the “web-view-ready” signal is emitted.

The signal handlers should not try to deal with the reference count for the new WebKitWebView. The widget to which the widget is added will handle that.

#### Parameters

web_view | the object on which the signal is emitted |
frame | the WebKitWebFrame |
user_data | user data set when the signal handler was connected. |

#### Returns

a newly allocated WebKitWebView, or `NULL`.

[transfer full]

Flags: Run Last

Since 1.0.3

### The `“cut-clipboard”` signal

    void
    user_function (WebKitWebView *web_view,
                   gpointer       user_data)

The “cut-clipboard” signal is a keybinding signal which gets emitted to cut the selection to the clipboard.

The default bindings for this signal are Ctrl-x and Shift-Delete.

#### Parameters

web_view | the object which received the signal |
user_data | user data set when the signal handler was connected. |

Flags: Action

### The `“database-quota-exceeded”` signal

    void
    user_function (WebKitWebView *web_view,
                   GObject       *frame,
                   GObject       *database,
                   gpointer       user_data)

The “database-quota-exceeded” signal will be emitted when a Web Database exceeds the quota of its security origin. This signal may be used to increase the size of the quota before the originating operation fails.

#### Parameters

web_view | the object which received the signal |
frame | the relevant frame |
database | the WebKitWebDatabase which exceeded the quota of its WebKitSecurityOrigin |
user_data | user data set when the signal handler was connected. |

Flags: Action

Since 1.1.14

### The `“document-load-finished”` signal

    void
    user_function (WebKitWebView  *web_view,
                   WebKitWebFrame *web_frame,
                   gpointer        user_data)

Emitted when the DOM document object load is finished for the given frame.

#### Parameters

web_view | the object which received the signal |
web_frame | the WebKitWebFrame whose load dispatched this request |
user_data | user data set when the signal handler was connected. |

Flags: Action

### The `“download-requested”` signal

    gboolean
    user_function (WebKitWebView  *web_view,
                   WebKitDownload *download,
                   gpointer        user_data)

A new Download is being requested. By default, if the signal is not handled, the download is cancelled. If you handle the download and call `webkit_download_set_destination_uri()`, it will be started for you. If you need to set the destination asynchronously you are responsible for starting or cancelling it yourself.

If you intend to handle downloads yourself rather than using the WebKitDownload helper object you must handle this signal, and return `FALSE`.

Also, keep in mind that the default policy for WebKitGTK+ is to ignore files with a MIME type that it does not know how to handle, which means this signal won't be emitted in the default setup. One way to trigger downloads is to connect to WebKitWebView::mime-type-policy-decision-requested and call `webkit_web_policy_decision_download()` on the WebKitWebPolicyDecision in the parameter list for the kind of files you want your application to download (a common solution is to download anything that WebKit can't handle, which you can figure out by using `webkit_web_view_can_show_mime_type()`).

#### Parameters

web_view | the object on which the signal is emitted |
download | a WebKitDownload object that lets you control the download process |
user_data | user data set when the signal handler was connected. |

#### Returns

TRUE if the download should be performed, `FALSE` to cancel it

Flags: Run Last

Since 1.1.2

### The `“editing-began”` signal

    void
    user_function (WebKitWebView *web_view,
                   gpointer       user_data)

#### Parameters

web_view | the WebKitWebView on which the signal is emitted |
user_data | user data set when the signal handler was connected. |

Flags: Action

### The `“editing-ended”` signal

    void
    user_function (WebKitWebView *web_view,
                   gpointer       user_data)

#### Parameters

web_view | the WebKitWebView on which the signal is emitted |
user_data | user data set when the signal handler was connected. |

Flags: Action

### The `“entering-fullscreen”` signal

    gboolean
    user_function (WebKitWebView        *web_view,
                   WebKitDOMHTMLElement *element,
                   gpointer              user_data)

Emitted when JavaScript code calls `element.webkitRequestFullScreen`. If the signal is not handled the WebView will proceed to full screen its top level window. This signal can be used by client code to request permission to the user prior doing the full screen transition and eventually prepare the top-level window (e.g. hide some widgets that would otherwise be part of the full screen window).

#### Parameters

web_view | the WebKitWebView on which the signal is emitted. |
element | the WebKitDOMHTMLElement which has requested full screen display. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` to stop other handlers from being invoked for the event. `FALSE` to continue emission of the event.

Flags: Run Last

Since 1.9.0

### The `“frame-created”` signal

    void
    user_function (WebKitWebView  *web_view,
                   WebKitWebFrame *web_frame,
                   gpointer        user_data)

Emitted when a WebKitWebView has created a new frame. This signal will be emitted for all sub-frames created during page load. It will not be emitted for the main frame, which originates in the WebKitWebView constructor and may be accessed at any time using webkit_web_view_get_main_frame.

#### Parameters

web_view | the object which received the signal |
web_frame | the WebKitWebFrame which was just created. |
user_data | user data set when the signal handler was connected. |

Flags: Action

Since 1.3.4

### The `“geolocation-policy-decision-cancelled”` signal

    void
    user_function (WebKitWebView  *web_view,
                   WebKitWebFrame *frame,
                   gpointer        user_data)

When a `frame` wants to cancel geolocation permission it had requested before.

#### Parameters

web_view | the object on which the signal is emitted |
frame | the frame that cancels geolocation request. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since 1.1.23

### The `“geolocation-policy-decision-requested”` signal

    gboolean
    user_function (WebKitWebView                   *web_view,
                   WebKitWebFrame                  *frame,
                   WebKitGeolocationPolicyDecision *policy_decision,
                   gpointer                         user_data)

This signal is emitted when a `frame` wants to obtain the user's location. The decision can be made asynchronously, but you must call `g_object_ref()` the `policy_decision` , and return `TRUE` if you are going to handle the request. To actually make the decision you need to call `webkit_geolocation_policy_allow()` or `webkit_geolocation_policy_deny()` on `policy_decision` .

#### Parameters

web_view | the object on which the signal is emitted |
frame | the frame that requests permission |
policy_decision | a WebKitGeolocationPolicyDecision |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since 1.1.23

### The `“hovering-over-link”` signal

    void
    user_function (WebKitWebView *web_view,
                   gchar         *title,
                   gchar         *uri,
                   gpointer       user_data)

When the cursor is over a link, this signal is emitted.

#### Parameters

web_view | the object on which the signal is emitted |
title | the link's title |
uri | the URI the link points to |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

### The `“icon-loaded”` signal

    void
    user_function (WebKitWebView *web_view,
                   gchar         *icon_uri,
                   gpointer       user_data)

This signal is emitted when the main frame has got a favicon. See WebKitIconDatabase::icon-loaded if you want to keep track of icons for child frames.

#### Parameters

web_view | the object on which the signal is emitted |
icon_uri | the URI for the icon |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since 1.1.18

### The `“leaving-fullscreen”` signal

    gboolean
    user_function (WebKitWebView        *web_view,
                   WebKitDOMHTMLElement *element,
                   gpointer              user_data)

Emitted when the WebView is about to restore its top level window out of its full screen state. This signal can be used by client code to restore widgets hidden during the entering-fullscreen stage for instance.

#### Parameters

web_view | the WebKitWebView on which the signal is emitted. |
element | the WebKitDOMHTMLElement which is currently displayed full screen. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` to stop other handlers from being invoked for the event. `FALSE` to continue emission of the event.

Flags: Run Last

Since 1.9.0

### The `“load-committed”` signal

    void
    user_function (WebKitWebView  *web_view,
                   WebKitWebFrame *frame,
                   gpointer        user_data)

When a WebKitWebFrame loaded the first data this signal is emitted.

`WebKitWebView::load-committed` is deprecated and should not be used in newly-written code.

Use the "load-status" property instead.

#### Parameters

web_view | the object on which the signal is emitted |
frame | the main frame that received the first data |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

### The `“load-error”` signal

    gboolean
    user_function (WebKitWebView  *web_view,
                   WebKitWebFrame *web_frame,
                   gchar          *uri,
                   GError         *web_error,
                   gpointer        user_data)

An error occurred while loading. By default, if the signal is not handled, the `web_view` will display a stock error page. You need to handle the signal if you want to provide your own error page.

#### Parameters

web_view | the object on which the signal is emitted |
web_frame | the WebKitWebFrame |
uri | the URI that triggered the error |
web_error | the GError that was triggered |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` to stop other handlers from being invoked for the event. `FALSE` to propagate the event further.

Flags: Run Last

Since 1.1.6

### The `“load-finished”` signal

    void
    user_function (WebKitWebView  *web_view,
                   WebKitWebFrame *frame,
                   gpointer        user_data)

`WebKitWebView::load-finished` is deprecated and should not be used in newly-written code.

Use the "load-status" property instead.

#### Parameters

web_view | the WebKitWebView |
frame | the WebKitWebFrame |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

### The `“load-progress-changed”` signal

    void
    user_function (WebKitWebView *web_view,
                   gint           progress,
                   gpointer       user_data)

`WebKitWebView::load-progress-changed` is deprecated and should not be used in newly-written code.

Use the "progress" property instead.

#### Parameters

web_view | the WebKitWebView |
progress | the global progress |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

### The `“load-started”` signal

    void
    user_function (WebKitWebView  *web_view,
                   WebKitWebFrame *frame,
                   gpointer        user_data)

When a WebKitWebFrame begins to load this signal is emitted.

`WebKitWebView::load-started` is deprecated and should not be used in newly-written code.

Use the "load-status" property instead.

#### Parameters

web_view | the object on which the signal is emitted |
frame | the frame going to do the load |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

### The `“mime-type-policy-decision-requested”` signal

    gboolean
    user_function (WebKitWebView           *web_view,
                   WebKitWebFrame          *frame,
                   WebKitNetworkRequest    *request,
                   gchar                   *mimetype,
                   WebKitWebPolicyDecision *policy_decision,
                   gpointer                 user_data)

Decide whether or not to display the given MIME type. If this signal is not handled, the default behavior is to show the content of the requested URI if WebKit can show this MIME type and the content disposition is not a download; if WebKit is not able to show the MIME type nothing happens.

Notice that if you return TRUE, meaning that you handled the signal, you are expected to be aware of the "Content-Disposition" header. A value of "attachment" usually indicates a download regardless of the MIME type, see also `soup_message_headers_get_content_disposition()`. And you must call `webkit_web_policy_decision_ignore()`, `webkit_web_policy_decision_use()`, or `webkit_web_policy_decision_download()` on the `policy_decision` object.

#### Parameters

web_view | the object on which the signal is emitted |
frame | the WebKitWebFrame that required the policy decision |
request | a WebKitNetworkRequest |
mimetype | the MIME type attempted to load |
policy_decision | a WebKitWebPolicyDecision |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if a decision was made, `FALSE` to have the default behavior apply

Flags: Run Last

Since 1.0.3

### The `“move-cursor”` signal

    gboolean
    user_function (WebKitWebView  *web_view,
                   GtkMovementStep step,
                   gint            count,
                   gpointer        user_data)

The “move-cursor” will be emitted to apply the cursor movement described by its parameters to the `view` .

#### Parameters

web_view | the object which received the signal |
step | the type of movement, one of GtkMovementStep |
count | an integer indicating the subtype of movement. Currently the permitted values are '1' = forward, '-1' = backwards. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` or `FALSE`

Flags: Action

Since 1.1.4

### The `“navigation-policy-decision-requested”` signal

    gboolean
    user_function (WebKitWebView             *web_view,
                   WebKitWebFrame            *frame,
                   WebKitNetworkRequest      *request,
                   WebKitWebNavigationAction *navigation_action,
                   WebKitWebPolicyDecision   *policy_decision,
                   gpointer                   user_data)

Emitted when `frame` requests a navigation to another page. If this signal is not handled, the default behavior is to allow the navigation.

Notice that if you return TRUE, meaning that you handled the signal, you are expected to have decided what to do, by calling `webkit_web_policy_decision_ignore()`, `webkit_web_policy_decision_use()`, or `webkit_web_policy_decision_download()` on the `policy_decision` object.

#### Parameters

web_view | the object on which the signal is emitted |
frame | the WebKitWebFrame that required the navigation |
request | a WebKitNetworkRequest |
navigation_action | a WebKitWebNavigationAction |
policy_decision | a WebKitWebPolicyDecision |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if a decision was made, `FALSE` to have the default behavior apply

Flags: Run Last

Since 1.0.3

### The `“navigation-requested”` signal

    WebKitNavigationResponse
    user_function (WebKitWebView        *web_view,
                   WebKitWebFrame       *frame,
                   WebKitNetworkRequest *request,
                   gpointer              user_data)

Emitted when `frame` requests a navigation to another page.

`WebKitWebView::navigation-requested` is deprecated and should not be used in newly-written code.

Use WebKitWebView::navigation-policy-decision-requested instead

#### Parameters

web_view | the object on which the signal is emitted |
frame | the WebKitWebFrame that required the navigation |
request | a WebKitNetworkRequest |
user_data | user data set when the signal handler was connected. |

#### Returns

a WebKitNavigationResponse

Flags: Run Last

### The `“new-window-policy-decision-requested”` signal

    gboolean
    user_function (WebKitWebView             *web_view,
                   WebKitWebFrame            *frame,
                   WebKitNetworkRequest      *request,
                   WebKitWebNavigationAction *navigation_action,
                   WebKitWebPolicyDecision   *policy_decision,
                   gpointer                   user_data)

Emitted when `frame` requests opening a new window. With this signal the browser can use the context of the request to decide about the new window. If the request is not handled the default behavior is to allow opening the new window to load the URI, which will cause a create-web-view signal emission where the browser handles the new window action but without information of the context that caused the navigation. The following navigation-policy-decision-requested emissions will load the page after the creation of the new window just with the information of this new navigation context, without any information about the action that made this new window to be opened.

Notice that if you return TRUE, meaning that you handled the signal, you are expected to have decided what to do, by calling `webkit_web_policy_decision_ignore()`, `webkit_web_policy_decision_use()`, or `webkit_web_policy_decision_download()` on the `policy_decision` object.

#### Parameters

web_view | the object on which the signal is emitted |
frame | the WebKitWebFrame that required the navigation |
request | a WebKitNetworkRequest |
navigation_action | a WebKitWebNavigationAction |
policy_decision | a WebKitWebPolicyDecision |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if a decision was made, `FALSE` to have the default behavior apply

Flags: Run Last

Since 1.1.4

### The `“onload-event”` signal

    void
    user_function (WebKitWebView  *web_view,
                   WebKitWebFrame *frame,
                   gpointer        user_data)

When a WebKitWebFrame receives an onload event this signal is emitted.

#### Parameters

web_view | the object on which the signal is emitted |
frame | the frame |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

### The `“paste-clipboard”` signal

    void
    user_function (WebKitWebView *web_view,
                   gpointer       user_data)

The “paste-clipboard” signal is a keybinding signal which gets emitted to paste the contents of the clipboard into the Web view.

The default bindings for this signal are Ctrl-v and Shift-Insert.

#### Parameters

web_view | the object which received the signal |
user_data | user data set when the signal handler was connected. |

Flags: Action

### The `“populate-popup”` signal

    void
    user_function (WebKitWebView *web_view,
                   GtkMenu       *menu,
                   gpointer       user_data)

When a context menu is about to be displayed this signal is emitted.

Add menu items to menu to extend the context menu.

`WebKitWebView::populate-popup` has been deprecated since version 1.10 and should not be used in newly-written code.

Use “context-menu” signal instead.

#### Parameters

web_view | the object on which the signal is emitted |
menu | the context menu |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

### The `“print-requested”` signal

    gboolean
    user_function (WebKitWebView  *web_view,
                   WebKitWebFrame *web_frame,
                   gpointer        user_data)

Emitted when printing is requested by the frame, usually because of a javascript call. When handling this signal you should call `webkit_web_frame_print_full()` or `webkit_web_frame_print()` to do the actual printing.

The default handler will present a print dialog and carry a print operation. Notice that this means that if you intend to ignore a print request you must connect to this signal, and return `TRUE`.

#### Parameters

web_view | the object in which the signal is emitted |
web_frame | the frame that is requesting to be printed |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the print request has been handled, `FALSE` if the default handler should run

Flags: Run Last

Since 1.1.5

### The `“redo”` signal

    void
    user_function (WebKitWebView *web_view,
                   gpointer       user_data)

The “redo” signal is a keybinding signal which gets emitted to redo the last editing command.

The default binding for this signal is Ctrl-Shift-z

#### Parameters

web_view | the object which received the signal |
user_data | user data set when the signal handler was connected. |

Flags: Action

Since 1.1.14

### The `“resource-content-length-received”` signal

    void
    user_function (WebKitWebView     *web_view,
                   WebKitWebFrame    *web_frame,
                   WebKitWebResource *web_resource,
                   gint               length_received,
                   gpointer           user_data)

Emitted when new resource data has been received. The `length_received` variable stores the amount of bytes received since the last time this signal was emitted. This is useful to provide progress information about the resource load operation.

#### Parameters

web_view | the object which received the signal |
web_frame | the WebKitWebFrame the response was received for |
web_resource | the WebKitWebResource that was loaded |
length_received | the amount of data received since the last signal emission |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since 1.7.5

### The `“resource-load-failed”` signal

    void
    user_function (WebKitWebView     *web_view,
                   WebKitWebFrame    *web_frame,
                   WebKitWebResource *web_resource,
                   GError            *error,
                   gpointer           user_data)

Invoked when a resource failed to load

#### Parameters

web_view | the object which received the signal |
web_frame | the WebKitWebFrame the response was received for |
web_resource | the WebKitWebResource that was loaded |
error | the GError that was triggered |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since 1.7.5

### The `“resource-load-finished”` signal

    void
    user_function (WebKitWebView     *web_view,
                   WebKitWebFrame    *web_frame,
                   WebKitWebResource *web_resource,
                   gpointer           user_data)

Emitted when all the data for the resource was loaded

#### Parameters

web_view | the object which received the signal |
web_frame | the WebKitWebFrame the response was received for |
web_resource | the WebKitWebResource that was loaded |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since 1.7.5

### The `“resource-request-starting”` signal

    void
    user_function (WebKitWebView         *web_view,
                   WebKitWebFrame        *web_frame,
                   WebKitWebResource     *web_resource,
                   WebKitNetworkRequest  *request,
                   WebKitNetworkResponse *response,
                   gpointer               user_data)

Emitted when a request is about to be sent. You can modify the request while handling this signal. You can set the URI in the WebKitNetworkRequest object itself, and add/remove/replace headers using the SoupMessage object it carries, if it is present. See `webkit_network_request_get_message()`. Setting the request URI to "about:blank" will effectively cause the request to load nothing, and can be used to disable the loading of specific resources.

Notice that information about an eventual redirect is available in `response` 's SoupMessage, not in the SoupMessage carried by the `request` . If `response` is `NULL`, then this is not a redirected request.

The WebKitWebResource object will be the same throughout all the lifetime of the resource, but the contents may change from inbetween signal emissions.

#### Parameters

web_view | the object which received the signal |
web_frame | the WebKitWebFrame whose load dispatched this request |
web_resource | an empty WebKitWebResource object |
request | the WebKitNetworkRequest that will be dispatched |
response | the WebKitNetworkResponse representing the redirect response, if any |
user_data | user data set when the signal handler was connected. |

Flags: Action

Since 1.1.14

### The `“resource-response-received”` signal

    void
    user_function (WebKitWebView         *web_view,
                   WebKitWebFrame        *web_frame,
                   WebKitWebResource     *web_resource,
                   WebKitNetworkResponse *response,
                   gpointer               user_data)

Emitted when the first byte of data arrives

#### Parameters

web_view | the object which received the signal |
web_frame | the WebKitWebFrame the response was received for |
web_resource | the WebKitWebResource being loaded |
response | the WebKitNetworkResponse that was received |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since 1.7.5

### The `“run-file-chooser”` signal

    gboolean
    user_function (WebKitWebView            *web_view,
                   WebKitFileChooserRequest *request,
                   gpointer                  user_data)

This signal is emitted when the user interacts with a <input type='file' /> HTML element, requesting from WebKit to show a dialog to select one or more files to be uploaded. To let the application know the details of the file chooser, as well as to allow the client application to either cancel the request or perform an actual selection of files, the signal will pass an instance of the WebKitFileChooserRequest in the `request` argument.

The default signal handler will asynchronously run a regular GtkFileChooserDialog for the user to interact with.

If this signal is to be handled asynchronously, you must call `g_object_ref()` on the `request` , and return `TRUE` to indicate that the request is being handled. When you are ready to complete the request, call `webkit_file_chooser_request_select_files()`.

#### Parameters

web_view | the WebKitWebView on which the signal is emitted |
request | a WebKitFileChooserRequest |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` to stop other handlers from being invoked for the event. `FALSE` to propagate the event further.

Flags: Run Last

### The `“script-alert”` signal

    gboolean
    user_function (WebKitWebView  *web_view,
                   WebKitWebFrame *frame,
                   gchar          *message,
                   gpointer        user_data)

A JavaScript alert dialog was created.

#### Parameters

web_view | the object on which the signal is emitted |
frame | the relevant frame |
message | the message text |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` to stop other handlers from being invoked for the event. `FALSE` to propagate the event further.

Flags: Run Last

### The `“script-confirm”` signal

    gboolean
    user_function (WebKitWebView  *web_view,
                   WebKitWebFrame *frame,
                   gchar          *message,
                   gpointer        confirmed,
                   gpointer        user_data)

A JavaScript confirm dialog was created, providing Yes and No buttons.

#### Parameters

web_view | the object on which the signal is emitted |
frame | the relevant frame |
message | the message text |
confirmed | a pointer to a gboolean where the callback should store whether the user confirmed the dialog, when handling this signal |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` to stop other handlers from being invoked for the event. `FALSE` to propagate the event further.

Flags: Run Last

### The `“script-prompt”` signal

    gboolean
    user_function (WebKitWebView  *web_view,
                   WebKitWebFrame *frame,
                   gchar          *message,
                   gchar          *default,
                   gpointer        text,
                   gpointer        user_data)

A JavaScript prompt dialog was created, providing an entry to input text.

#### Parameters

web_view | the object on which the signal is emitted |
frame | the relevant frame |
message | the message text |
default | the default value |
text | To be filled with the return value or NULL if the dialog was cancelled. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` to stop other handlers from being invoked for the event. `FALSE` to propagate the event further.

Flags: Run Last

### The `“select-all”` signal

    void
    user_function (WebKitWebView *web_view,
                   gpointer       user_data)

The “select-all” signal is a keybinding signal which gets emitted to select the complete contents of the text view.

The default bindings for this signal is Ctrl-a.

#### Parameters

web_view | the object which received the signal |
user_data | user data set when the signal handler was connected. |

Flags: Action

### The `“selection-changed”` signal

    void
    user_function (WebKitWebView *web_view,
                   gpointer       user_data)

#### Parameters

web_view | the WebKitWebView on which the signal is emitted |
user_data | user data set when the signal handler was connected. |

Flags: Action

### The `“should-apply-style”` signal

    gboolean
    user_function (WebKitWebView                *web_view,
                   WebKitDOMCSSStyleDeclaration *set,
                   WebKitDOMRange               *range,
                   gpointer                      user_data)

#### Parameters

web_view | the WebKitWebView on which the signal is emitted |
set | a WebKitDOMCSSStyleDeclaration |
range | a WebKitDOMRange |
user_data | user data set when the signal handler was connected. |

Flags: Action

### The `“should-begin-editing”` signal

    gboolean
    user_function (WebKitWebView  *web_view,
                   WebKitDOMRange *range,
                   gpointer        user_data)

#### Parameters

web_view | the WebKitWebView on which the signal is emitted |
range | a WebKitDOMRange |
user_data | user data set when the signal handler was connected. |

Flags: Action

### The `“should-change-selected-range”` signal

    gboolean
    user_function (WebKitWebView          *web_view,
                   WebKitDOMRange         *fromRange,
                   WebKitDOMRange         *toRange,
                   WebKitSelectionAffinity affinity,
                   gboolean                stillSelecting,
                   gpointer                user_data)

#### Parameters

web_view | the WebKitWebView on which the signal is emitted |
fromRange | a WebKitDOMRange |
toRange | a WebKitDOMRange |
affinity | a WebKitElectionAffinity |
stillSelecting | bool |
user_data | user data set when the signal handler was connected. |

Flags: Action

### The `“should-delete-range”` signal

    gboolean
    user_function (WebKitWebView  *web_view,
                   WebKitDOMRange *range,
                   gpointer        user_data)

#### Parameters

web_view | the WebKitWebView on which the signal is emitted |
range | a WebKitDOMRange |
user_data | user data set when the signal handler was connected. |

Flags: Action

### The `“should-end-editing”` signal

    gboolean
    user_function (WebKitWebView  *web_view,
                   WebKitDOMRange *range,
                   gpointer        user_data)

#### Parameters

web_view | the WebKitWebView on which the signal is emitted |
range | a WebKitDOMRange |
user_data | user data set when the signal handler was connected. |

Flags: Action

### The `“should-insert-node”` signal

    gboolean
    user_function (WebKitWebView     *web_view,
                   WebKitDOMNode     *node,
                   WebKitDOMRange    *range,
                   WebKitInsertAction action,
                   gpointer           user_data)

#### Parameters

web_view | the WebKitWebView on which the signal is emitted |
node | a WebKitDOMNode |
range | a WebKitDOMRange |
action | a WebKitInsertAction |
user_data | user data set when the signal handler was connected. |

Flags: Action

### The `“should-insert-text”` signal

    gboolean
    user_function (WebKitWebView     *web_view,
                   gchar             *string,
                   WebKitDOMRange    *range,
                   WebKitInsertAction action,
                   gpointer           user_data)

#### Parameters

web_view | the WebKitWebView on which the signal is emitted |
string | a string |
range | a WebKitDOMRange |
action | a WebKitInsertAction |
user_data | user data set when the signal handler was connected. |

Flags: Action

### The `“should-show-delete-interface-for-element”` signal

    gboolean
    user_function (WebKitWebView        *web_view,
                   WebKitDOMHTMLElement *element,
                   gpointer              user_data)

#### Parameters

web_view | the WebKitWebView on which the signal is emitted |
element | a WebKitDOMHtmlElement |
user_data | user data set when the signal handler was connected. |

Flags: Action

### The `“status-bar-text-changed”` signal

    void
    user_function (WebKitWebView *webkitwebview,
                   gchar         *arg1,
                   gpointer       user_data)

#### Parameters

webkitwebview | the object which received the signal. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

### The `“title-changed”` signal

    void
    user_function (WebKitWebView  *web_view,
                   WebKitWebFrame *frame,
                   gchar          *title,
                   gpointer        user_data)

When a WebKitWebFrame changes the document title this signal is emitted.

`WebKitWebView::title-changed` has been deprecated since version 1.1.4 and should not be used in newly-written code.

Use "notify::title" instead.

#### Parameters

web_view | the object on which the signal is emitted |
frame | the main frame |
title | the new title |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

### The `“undo”` signal

    void
    user_function (WebKitWebView *web_view,
                   gpointer       user_data)

The “undo” signal is a keybinding signal which gets emitted to undo the last editing command.

The default binding for this signal is Ctrl-z

#### Parameters

web_view | the object which received the signal |
user_data | user data set when the signal handler was connected. |

Flags: Action

Since 1.1.14

### The `“user-changed-contents”` signal

    void
    user_function (WebKitWebView *web_view,
                   gpointer       user_data)

#### Parameters

web_view | the WebKitWebView on which the signal is emitted |
user_data | user data set when the signal handler was connected. |

Flags: Action

### The `“viewport-attributes-changed”` signal

    void
    user_function (WebKitWebView            *webkitwebview,
                   WebKitViewportAttributes *arg1,
                   gpointer                  user_data)

#### Parameters

webkitwebview | the object which received the signal. |
user_data | user data set when the signal handler was connected. |

Flags: Action

### The `“viewport-attributes-recompute-requested”` signal

    void
    user_function (WebKitWebView            *webkitwebview,
                   WebKitViewportAttributes *arg1,
                   gpointer                  user_data)

#### Parameters

webkitwebview | the object which received the signal. |
user_data | user data set when the signal handler was connected. |

Flags: Action

### The `“web-view-ready”` signal

    gboolean
    user_function (WebKitWebView *web_view,
                   gpointer       user_data)

Emitted after “create-web-view” when the new WebKitWebView should be displayed to the user. When this signal is emitted all the information about how the window should look, including size, position, whether the location, status and scroll bars should be displayed, is already set on the WebKitWebWindowFeatures object contained by the WebKitWebView.

Notice that some of that information may change during the life time of the window, so you may want to connect to the ::notify signal of the WebKitWebWindowFeatures object to handle those.

#### Parameters

web_view | the object on which the signal is emitted |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` to stop handlers from being invoked for the event or `FALSE` to propagate the event furter

Flags: Run Last

Since 1.0.3

### The `“window-object-cleared”` signal

    void
    user_function (WebKitWebView  *web_view,
                   WebKitWebFrame *frame,
                   gpointer        context,
                   gpointer        window_object,
                   gpointer        user_data)

Emitted when the JavaScript window object in a WebKitWebFrame has been cleared in preparation for a new load. This is the preferred place to set custom properties on the window object using the JavaScriptCore API.

#### Parameters

web_view | the object on which the signal is emitted |
frame | the WebKitWebFrame to which `window_object` belongs |
context | the JSGlobalContextRef holding the global object and other execution state; equivalent to the return value of webkit_web_frame_get_global_context(`frame` ) |
window_object | the JSObjectRef representing the frame's JavaScript window object |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

## See Also

WebKitWebSettings, WebKitWebFrame